<?xml version="1.0" encoding="GB2312"?>
<!DOCTYPE mbeans-descriptors PUBLIC 
"-//Apache Software Foundation//DTD Model MBeans Configuration File" 
"http://jakarta.apache.org/commons/dtds/mbeans-descriptors.dtd">
<mbeans-descriptors>
        <mbean       name="SnmpTableManager"
                     description="SnmpTableManager MBean"
                     domain="Local"
                     type="falconet.management.system.SnmpTableManager">
        <operation   name="getSnmpTableData"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        <parameter   name="param3"  description=" "
                     type="java.util.ArrayList"/>
        </operation>

       </mbean>
        <mbean       name="SnmpSystemInfo"
                     description="SnmpSystemInfo MBean"
                     domain="Local"
                     type="falconet.management.system.SnmpSystemInfo">
        <operation   name="getSystemInfo"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
       </mbean>
        <mbean       name="UserManager"
                     description="UserManager MBean"
                     domain="Local"
                     type="falconet.management.user.UserManager">
        <operation   name="login"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="getUsers"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.Properties">
        </operation>
        <operation   name="setUser"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="deleteUser"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>

       </mbean>
        <mbean       name="MibBrowser"
                     description="MibBrowser MBean"
                     domain="Local"
                     type="falconet.management.tool.MibBrowser">
        <operation   name="snmpGet"
                     description=" "
                     impact="ACTION"
                     returnType="java.lang.String">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="snmpGetNext"
                     description=" "
                     impact="ACTION"
                     returnType="java.lang.String">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="snmpWalk"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="snmpSet"
                     description=" "
                     impact="ACTION"
                     returnType="java.lang.String">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        <parameter   name="param3"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param4"  description=" "
                     type="java.lang.String"/>
        </operation>

       </mbean>

</mbeans-descriptors>
